Subject: FvwmIconMan patch - 'cos it's small and easy

From: [email-masked]
Date: Tue, 15 Dec 1998 18:55:47 -0500

Hi,
This is the first patch: it contains all the const stuff but it's also
small and shouldn't do any harm. The BIG changes are that it handles the
DestroyNotify event (by calling DeadPipe) and will terminate SAFELY when
it receives any of the following signals: TERM, QUIT, PIPE, HIP, INT. I
also simplified the select() code slightly since I couldn't see what (if
anything) the original logic was hoping to achieve.

BTW this patch is against 2.1.4 and my FvwmIconMan module has been very
well behaved since. However, if you should spot something please let me
know.

Cheers,
Chris.